OpenFileInfo(3)

NAME
OpenFileInfo -

SYNOPSIS

#include <rpmspec.h>

  Data Fields
const char * fileName
FD_t fd
int lineNum
char readBuf [BUFSIZ]
char * readPtr
OpenFileInfo * next

FIELD DOCUMENTATION

  FD_t OpenFileInfo::fd

Definition at line 54 of file rpmspec.h.

Referenced by closeSpec, newOpenFileInfo, and readLine.

  const char* OpenFileInfo::fileName

Definition at line 53 of file rpmspec.h.

Referenced by closeSpec, forceIncludeFile, freeSpec, newOpenFileInfo, and parseSpec.

  int OpenFileInfo::lineNum

Definition at line 55 of file rpmspec.h.

Referenced by newOpenFileInfo.

  struct OpenFileInfo* OpenFileInfo::next

Definition at line 60 of file rpmspec.h.

Referenced by closeSpec, forceIncludeFile, freeSpec, newOpenFileInfo, and readLine.

  char OpenFileInfo::readBuf[BUFSIZ]

Definition at line 56 of file rpmspec.h.

Referenced by newOpenFileInfo.

  char* OpenFileInfo::readPtr

Definition at line 58 of file rpmspec.h.

Referenced by newOpenFileInfo, and readLine.

AUTHOR

Generated automatically by Doxygen for rpm from the source code.